<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DrawController;
use Intervention\Image\Facades\Image;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\Leaderboard2Controller;
use App\Http\Controllers\Leaderboard3Controller;
use App\Http\Controllers\Leaderboard4Controller;
use App\Http\Controllers\Auth\AdminLoginController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', function () {
    return redirect('/admin');
});


// Route::get('/leaderboards', [HomeController::class, 'index'])->name('home');

Route::group(['middleware' => 'guest:admin'], function() {
    Route::get('/admin', [AdminLoginController::class, 'showLoginForm'])->name('admin.login');
    Route::post('/admin/login', [AdminLoginController::class, 'login'])->name('admin.login.submit');
});

Route::middleware(['auth:admin'])->prefix('administrator')->group(function () {
    Route::get('dashboard', [AdminController::class, 'index'])->name('admin.dashboard');

    Route::post('dashboard/store', [AdminController::class, 'store'])->name('user.store');

    Route::post('dashboard/user/edit/{id}', [AdminController::class, 'editModal'])->name('user.edit.modal');

    Route::put('dashboard/user/update/{id}', [AdminController::class, 'update'])->name('user.update');

    Route::get('dashboard/leaderboard2', [Leaderboard2Controller::class, 'dashboard'])->name('admin.leaderboard2.dashboard');

    Route::post('dashboard/leaderboard2store', [Leaderboard2Controller::class, 'store'])->name('user.leaderboard2.store');

    Route::post('dashboard/leaderboard2user/edit/{id}', [Leaderboard2Controller::class, 'editModal'])->name('user.leaderboard2.edit.modal');

    Route::put('dashboard/leaderboard2user/update/{id}', [Leaderboard2Controller::class, 'update'])->name('user.leaderboard2.update');

    Route::get('dashboard/leaderboard3', [Leaderboard3Controller::class, 'dashboard'])->name('admin.leaderboard3.dashboard');

    Route::post('dashboard/leaderboard3store', [Leaderboard3Controller::class, 'store'])->name('user.leaderboard3.store');

    Route::post('dashboard/leaderboard3user/edit/{id}', [Leaderboard3Controller::class, 'editModal'])->name('user.leaderboard3.edit.modal');

    Route::put('dashboard/leaderboard3user/update/{id}', [Leaderboard3Controller::class, 'update'])->name('user.leaderboard3.update');

    Route::get('dashboard/leaderboard4', [Leaderboard4Controller::class, 'dashboard'])->name('admin.leaderboard4.dashboard');

    Route::post('dashboard/leaderboard4store', [Leaderboard4Controller::class, 'store'])->name('user.leaderboard4.store');

    Route::post('dashboard/leaderboard4user/edit/{id}', [Leaderboard4Controller::class, 'editModal'])->name('user.leaderboard4.edit.modal');

    Route::put('dashboard/leaderboard4user/update/{id}', [Leaderboard4Controller::class, 'update'])->name('user.leaderboard4.update');

    Route::post('logout', [AdminLoginController::class, 'logout'])->name('admin.logout');
});